package be.cylab.java.wowa.training;

import be.cylab.java.roc.Point;
import info.debatty.java.aggregation.WOWA;

import java.util.ArrayList;
import java.util.List;

public class SolutionAUC extends AbstractSolution {

    public SolutionAUC(int weight_number) {
        super(weight_number);
    }

    final void computeScoreTo(List<double[]> data, double[] expected) {
        this.distance = 0;
        double[] aggregated_values = new double[data.size()];
        WOWA wowa = new WOWA(this.weights_w, this.weights_p);
        this.distance = Utils.computeAUC(this, data, expected);
    }
}
